Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers
Interface TextDriver

All Known Implementing Classes:
  TextAPIDriver, TextKeyboardDriver

public interface TextDriver

Defines how to work with text components.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Method Summary
`void` | `changeCaretPosition(ComponentOperator oper, int position)` Moves caret.
`void` | `changeText(ComponentOperator oper, java.lang.String text)` Replace component text.
`void` | `clearText(ComponentOperator oper)` Clears component text.
`void` | `enterText(ComponentOperator oper, java.lang.String text)` Type text and push enter.
`void` | `selectText(ComponentOperator oper, int startPosition, int finalPosition)` Selects text.
`void` | `typeText(ComponentOperator oper, java.lang.String text, int caretPosition)` Types new text.

Method Detail

### changeCaretPosition

    public void changeCaretPosition(ComponentOperator oper,
                                    int position)

  Moves caret.
  Parameters:
    `oper` - Text component operator.
    `position` - Position to move caret to.

### selectText

    public void selectText(ComponentOperator oper,
                           int startPosition,
                           int finalPosition)

  Selects text.
  Parameters:
    `oper` - Text component operator.
    `startPosition` - a posistion of selction start
    `finalPosition` - a posistion of selction end

### clearText

    public void clearText(ComponentOperator oper)

  Clears component text.
  Parameters:
    `oper` - Text component operator.

### typeText

    public void typeText(ComponentOperator oper,
                         java.lang.String text,
                         int caretPosition)

  Types new text.
  Parameters:
    `oper` - Text component operator.
    `text` - New text to type.
    `caretPosition` - Type text at that position.

### changeText

    public void changeText(ComponentOperator oper,
                           java.lang.String text)

  Replace component text.
  Parameters:
    `oper` - Text component operator.
    `text` - New text to type.

### enterText

    public void enterText(ComponentOperator oper,
                          java.lang.String text)

  Type text and push enter.
  Parameters:
    `oper` - Text component operator.
    `text` - New text to type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD